FROM node:latest
WORKDIR /app

COPY ./index.html .
COPY ./index.js .
COPY ./style.css .
COPY ./backend.js .
COPY ./package.json .
COPY ./package-lock.json .
COPY ./session ./session
COPY ./game ./game
COPY ./oneshot.js .

RUN npm i
RUN touch ./imposter.db || true

EXPOSE 3000
CMD ["node", "backend.js"]

